org.eclipse.wst.jsdt.chromium.debug.js.runtime

## Class ChromiumRuntimeType

- java.lang.Object
- - org.eclipse.wst.jsdt.core.runtime.AbstractJSRuntimeType
  - - org.eclipse.wst.jsdt.chromium.debug.js.runtime.ChromiumRuntimeType

All Implemented Interfaces:
  org.eclipse.wst.jsdt.core.runtime.IJSRuntimeType

    public class ChromiumRuntimeType
    extends org.eclipse.wst.jsdt.core.runtime.AbstractJSRuntimeType

### Field Summary

Fields
`static java.lang.String` `ID`

### Fields inherited from class org.eclipse.wst.jsdt.core.runtime.AbstractJSRuntimeType

`fId`

### Constructor Summary

Constructors
Constructor and Description
`ChromiumRuntimeType()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.wst.jsdt.core.runtime.IJSRuntimeInstall` `doCreateRuntimeInstall(java.lang.String id)` Subclasses should return a new instance of the appropriate `IJSRuntimeInstall` subclass from this method.
`protected IStatus` `doValidateInstallLocation(java.io.File tempFile)` Subclasses should return a validation additional to path existence
`java.lang.String` `getName()` Returns the runtime type name for the current instance.

### Methods inherited from class org.eclipse.wst.jsdt.core.runtime.AbstractJSRuntimeType

`createRuntimeInstall, getId, setInitializationData, validateInstallLocation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### Constructor Detail

#### ChromiumRuntimeType

    public ChromiumRuntimeType()

### Method Detail

#### getName

    public java.lang.String getName()

Description copied from interface: `org.eclipse.wst.jsdt.core.runtime.IJSRuntimeType`
Returns the runtime type name for the current instance. This is a required attribute because value returned here will be presented to user in the UI.

Returns:
  runtime type name.

#### doCreateRuntimeInstall

    protected org.eclipse.wst.jsdt.core.runtime.IJSRuntimeInstall doCreateRuntimeInstall(java.lang.String id)

Description copied from class: `org.eclipse.wst.jsdt.core.runtime.AbstractJSRuntimeType`
Subclasses should return a new instance of the appropriate `IJSRuntimeInstall` subclass from this method.

Specified by:
  `doCreateRuntimeInstall` in class `org.eclipse.wst.jsdt.core.runtime.AbstractJSRuntimeType`
Parameters:
  `id` - The runtime's id. The `IJSRuntimeInstall` instance that is created must return `id` from its `getId()` method. Must not be `null`.
Returns:
  the newly created IVMInstall instance. Must not return `null`.

#### doValidateInstallLocation

    protected IStatus doValidateInstallLocation(java.io.File tempFile)

Description copied from class: `org.eclipse.wst.jsdt.core.runtime.AbstractJSRuntimeType`
Subclasses should return a validation additional to path existence

Specified by:
  `doValidateInstallLocation` in class `org.eclipse.wst.jsdt.core.runtime.AbstractJSRuntimeType`
Returns: